Request a new access token

POST /auth/tokens

Authenticates the user credentials and returns an access token that can be used when invoking the operations.

Request

Request Body

UserCredentials

User credentials

userid

Required *

string

The user's ID

password

Required *

string

The user's password

Response

200 - Authentication token

userid

string

User ID associated with the generated token.

token

string

Token string that can be used in subsequent requests that require authentication.

401 - Invalid credentials

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Returns public key of Json Web Token

GET /auth/token/publickey

Returns public key of Json Web Token.

Request

Response

200 - Token public key and key id.

kty

string

Public key type.

e

string

Exponent of public key.

kid

string

Key ID of public key.

alg

string

Algorithm of public key.

n

string

Modulus of public key.

Perform logout operation for a token

DELETE /auth/token/logout

Perform logout operation for a token.

Request

Response

200 - Logout successfully.

default - Error payload

Creates a new authentication policy ADMIN ONLY

POST /auth_policies

Creates a new authentication policy which can be used to control password parameters.

Request

Request Body

Response

201 - Authentication policy created

count

integer

Number of elements

resources

array

List of active connections

403 - Only administrators can execute this operation

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Lists all authentication policies ADMIN ONLY

GET /auth_policies

Returns a list of authentication policies.

Request

Response

200 - List of authentication policies

403 - Only administrators can execute this operation

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Returns an authentication policy ADMIN ONLY

GET /auth_policies/{id}

Returns an authentication policy.

Request

Path Parameters

id

Required *

string

policy ID

Query Parameters

Response

200 - Authentication policy

id

string

Policy ID.

name

string

A display name for the policy.

password_history

integer

Number of previously used passwords kept in the history. When a user changes its password, the new password is rejected if it is found in the history. If set to 0 no password history is maintained.

password_expiration

integer

Number of days a password is valid for. After this period, login attempts will be rejected and the users will be required to change their password. If set to 0 passwords will never expire.

failed_login_attempts

integer

Number of failed logins before the user account is locked. If set to 0 the account is not locked and any number of consecutive invalid login attempts are allowed.

lockout_duration

integer

Number of minutes an account will be locked after too many failed login attempts. After this period the account will be automatically unlocked. It must be a number greater than zero. This parameter has no effect if failed_login_attempts is set to zero.

min_password_length

integer

Minimum number of characters for passwords

metadata

ResourceMetadata

Meta information of an resource. Metadata is ready-only and values are auto-generated by the system.

403 - Only administrators can execute this operation

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Policy not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Updates an authentication policy ADMIN ONLY

PUT /auth_policies/{id}

Updates an authentication policy.

Request

Request Body

Path Parameters

id

Required *

string

policy ID

Query Parameters

Response

200 - Authentication policy

id

string

Policy ID.

name

string

A display name for the policy.

password_history

integer

Number of previously used passwords kept in the history. When a user changes its password, the new password is rejected if it is found in the history. If set to 0 no password history is maintained.

password_expiration

integer

Number of days a password is valid for. After this period, login attempts will be rejected and the users will be required to change their password. If set to 0 passwords will never expire.

failed_login_attempts

integer

Number of failed logins before the user account is locked. If set to 0 the account is not locked and any number of consecutive invalid login attempts are allowed.

lockout_duration

integer

Number of minutes an account will be locked after too many failed login attempts. After this period the account will be automatically unlocked. It must be a number greater than zero. This parameter has no effect if failed_login_attempts is set to zero.

min_password_length

integer

Minimum number of characters for passwords

metadata

ResourceMetadata

Meta information of an resource. Metadata is ready-only and values are auto-generated by the system.

403 - Only administrators can execute this operation

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Policy not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Deletes an existing policy ADMIN ONLY

DELETE /auth_policies/{id}

Deletes an existing policy.

Only administratos can delete policies.

Request

Path Parameters

id

Required *

string

ID of the policy to be deleted.

Query Parameters

Response

200 - Policy deleted

403 - Removal of this policy is not allowed

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - The policy does not exist

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Sets a new password using dswebToken

PUT /auth/password

Sets a new password using the dswebToken obtained from /auth/reset.

Request

Request Body

UserPasswordReset

New password and dswebToken

password

Required *

string

New password

dswebToken

Required *

string

dswebToken received by email

Response

200 - Password changed

code

string

status code

400 - Invalid or missing new password

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - If dswebToken is missing or invalid

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Requests a password reset based on user's email

POST /auth/reset

An email is sent with the password reset link and code. To set a new password, the user can open the link on a web browser, or use the /auth/password endpoint providing the dswebToken. The dswebToken is valid for 12 hours.

Request

Request Body

UserPasswordResetRequest

User's email address and ID

email

Required *

string

Email address that will receive the password reset instructions and dswebToken

userId

Required *

string

User ID

Response

202 - Request accepted

code

string

status code

400 - Invalid or missing email address and userId

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - The user name and email address do not match.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Lists all schemas in the database

GET /schemas

Returns a list of schemas.

Request

Response

200 - List of schemas

default - Error payload

Returns schema information

GET /schemas/{schema_name}

Returns schema information.

Request

Path Parameters

schema_name

Required *

string

Schema name

Query Parameters

Response

200 - Schema information

name

string

The schema name

404 - Schema not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Lists tables in a schema

GET /schemas/{schema_name}/tables

Returns the list of tables in a schema.

Request

Path Parameters

schema_name

Required *

string

Schema name

Query Parameters

Response

200 - List of tables

count

integer

Number of elements

resources

array

List of tables

404 - Database or schema not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Returns information about a table

GET /schemas/{schema_name}/tables/{table_name}

Return information about a table.

Request

Path Parameters

schema_name

Required *

string

Schema name

table_name

Required *

string

Table name

Query Parameters

Response

200 - Table information

name

string

The table name

schema

string

The schema name

comments

string

User provided comments

columns

array

status

string

It can assume values

stats

object

404 - Table not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Deletes all table data

DELETE /schemas/{schema_name}/tables/{table_name}/data

Deletes all table data using a TRUNCATE operation.

Request

Path Parameters

schema_name

Required *

string

Schema name

table_name

Required *

string

Table name

Query Parameters

Response

200 - Success

403 - Not authorized to access table data

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Table not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query the list of object schemas

GET /admin/schemas/obj_type/{obj_type}

Query the list of object schemas.

Request

Path Parameters

obj_type

Required *

string

Object type.

Query Parameters

search_name

string

Object type.

show_systems

string

Whether to show system objects.

rows_return

string

The amount of return records.

Response

200 - Query the list of object schemas.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Create schema

POST /admin/schemas

Creates a new schema. Any user with enough database authority can create schemas using dbapi directly. Regular users can create new schemas indirectly by creating a new table or other database object and specifying the name of the new schema where the object will be placed.

Request

Request Body

CreateSchemaReqBody

name

Required *

string

Schema name.

authorization

string

Authorization ID.

Response

201 - Schema created.

name

string

The schema name

400 - Invalid parameters or schema already exists

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Only administrators can create schemas directly.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Drops an empty schema

DELETE /admin/schemas

Drops an empty schema. An error is returned if the schema contains any objects.

Request

Request Body

DropSchemaReqBody

Response

200 - The schema was dropped successfully.

status

string

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get single object privilege

GET /admin/privileges

Get single object privilege.

Request

Path Parameters

Query Parameters

obj_type

Required *

string

Object type.

schema

string

Schema name of the object. For table and database, this parameter is not required.

obj_name

string

Name of the object. For database, this parameter is not required.

rows_return

string

The amount of return records.

Response

200 - Get object privilege.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Privilege list of selected objects

POST /admin/privileges

Privilege list of selected objects.

Request

Request Body

privilegsReqBody

obj_type

string

rows_return

integer

filter

array

Response

200 - Privilege list of selected objects

400 - Get error when search authid

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Grant or revoke privileges

PUT /admin/privileges

Grant or revoke privileges

Request

Request Body

privilegesChangeReqBody

stop_on_error

boolean

privileges

array

Response

200 - The status of grant or revoke

status

string

400 - Get error when grant or revoke

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Generate schema DDL

POST /admin/schemas/ddl

Generate schema DDL.

Request

Request Body

GenerateSchemaDDLReqBody

objects

array

Only when the action is more, this parameter is needed.

options

array

The options used to generate DDL. Select 0 or one or several options. Only when the action is more, this parameter is needed. - depobj = Generates the basic DDL statements. - privilege = Generate the authorization DDL statements such as GRANT statements.

stat_terminator

string

Specifies the statement delimiter for SQL statements that are generated. Only when the action is more, this parameter is needed.

Path Parameters

Query Parameters

action

Required *

string

Type of operation.

Response

200 - Generate schema DDL.

commands

string

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Create a new table

PUT /admin/tables

Create a new table.

Request

Request Body

CreateAlterTableReqBody

schema

string

Schema name of the object.

table

string

Unqualified name of the object.

column_info

array

Response

201 - The table was created successfully.

status

string

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Drop table

DELETE /admin/tables

Drop table.

Request

Request Body

DropTableReqBody

Response

200 - The alias was dropped successfully.

status

string

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get table definition

GET /admin/schemas/{schema_name}/tables/{table_name}/definition

Get table definition.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

table_name

Required *

string

Table name.

Query Parameters

Response

200 - Get table definition.

schema

string

Table schema.

comments

string

stats

ObjectStatus

columns

array

name

string

Table name.

status

string

Status of the object.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query table data

GET /admin/schemas/{schema_name}/tables/{table_name}/data

Fetches the table data up to a maximum of 100,000 rows. Currently it's not possible to retrieve data from tables that contain CLOB, BLOB or DBCLOB values.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

table_name

Required *

string

Table name.

Query Parameters

rows_return

integer

The amount of return records.

Response

200 - Returned result was successful.

columns

array

Column definitions

rows

array

Table rows

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get column detail properties

GET /admin/schemas/{schema_name}/tables/{table_name}/columns/{column_name}/properties

Get column detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

table_name

Required *

string

Table name.

column_name

Required *

string

Column name.

Query Parameters

Response

200 - Get column detail properties.

column_name

string

Name of the column.

table_name

string

Unqualified name of the table, view, or nickname that contains the column.

table_schema

string

Schema name of the table, view, or nickname that contains the column.

type_name

string

Unqualified name of the data type for the column.

length

string

Maximum length of the data; 0 for distinct types.

scale

string

Scale if the column type is DECIMAL or number of digits of fractional seconds if the column type is TIMESTAMP; 0 otherwise.

nulls

string

Nullability attribute for the column.

default

string

Default value for the column of a table expressed as a constant, special register, or cast-function appropriate for the data type of the column. Can also be the keyword NULL. Values might be converted from what was specified as a default value. For example, date and time constants are shown in ISO format, cast-function names are qualified with schema names, and identifiers are delimited. Null value if a DEFAULT clause was not specified or the column is a view column.

logged

string

Whether the column is logged.

compact

string

Whether the column is compacted.

compress

string

Compress.

identity

string

Identity.

generated

string

Type of generated column.

row_change_timestamp

string

Row change timestamp.

start

string

Start value of the sequence. The null value if the sequence is an alias.

increment

string

Increment value. The null value if the sequence is an alias.

min_value

string

Minimum value of the sequence. The null value if the sequence is an alias.

max_value

string

Maximum value of the sequence. The null value if the sequence is an alias.

cycle

string

Indicates whether or not the sequence can continue to generate values after reaching its maximum or minimum value.

cache

string

Number of sequence values to pre-allocate in memory for faster access. 0 indicates that values of the sequence are not to be preallocated. In a partitioned database, this value applies to each database partition. -1 if the sequence is an alias.

order

string

Indicates whether or not the sequence numbers must be generated in order of request.

inline_length

string

Maximum size in bytes of the internal representation of an instance of an XML document, a structured type, or a LOB data type, that can be stored in the base table; 0 when not applicable.

primary_key

string

Whether it is a primary key.

part_key_seq

string

The column's numerical position within the table's distribution key; 0 or the null value if the column is not in the distribution key. The null value for columns of subtables and hierarchy tables.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the metadata type

GET /admin/tables/meta/datatype

Get the metadata type.

Request

Response

200 - Get the metadata type.

default - Error payload

Generate table DDL

POST /admin/tables/ddl

Generate table DDL.

Request

Request Body

GenerateTableDDLReqBody

schema

string

Schema name of the object. Only When the action is create or alter, this parameter is needed.

table

string

Unqualified name of the object. Only When the action is create or alter, this parameter is needed.

column_info

array

Only When the action is create or alter, this parameter is needed.

objects

array

Only when the action is more, this parameter is needed.

options

array

The options used to generate DDL. Select 0 or one or several options. Only when the action is more, this parameter is needed. - create = Generates DDL statements with the CREATE OR REPLACE clause. - creatorname:creatorID = Generates DDL statements for objects that were created with the specified creator ID. - depobj = Generates the basic DDL statements - view = Generate the CREATE VIEW DDL statements - privilege = Generate the authorization DDL statements such as GRANT statements.

stat_terminator

string

Specifies the statement delimiter for SQL statements that are generated. Only when the action is more, this parameter is needed.

Path Parameters

Query Parameters

action

Required *

string

Type of operation.

Response

200 - Generate table DDL.

commands

string

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get distributin keys

GET /admin/schemas/{schema_name}/tables/{table_name}/distribution_keys

Get distributin keys.

Request

Path Parameters

schema_name

Required *

string

Schema name of the table.

table_name

Required *

string

Name of the table.

Query Parameters

Response

200 - Get distributin keys.

partition_mode

string

Indicates how data is distributed among database partitions in a partitioned database system.

keys

array

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get data distributin property

GET /admin/schemas/{schema_name}/tables/{table_name}/distributions/properties

Get data distributin property.

Request

Path Parameters

schema_name

Required *

string

Schema name of the table.

table_name

Required *

string

Name of the table.

Query Parameters

Response

200 - Get data distributin property.

primary_distribution_key

PrimaryDistributionKey

skew_data

SkewData

Table row counts.

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get partition expressions

GET /admin/schemas/{schema_name}/tables/{table_name}/partitions/expressions

Get partition expressions.

Request

Path Parameters

schema_name

Required *

string

Schema name of the table.

table_name

Required *

string

Name of the table.

Query Parameters

Response

200 - Get partition expressions.

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get data partitions

GET /admin/schemas/{schema_name}/tables/{table_name}/partitions

Get data partitions.

Request

Path Parameters

schema_name

Required *

string

Schema name of the table.

table_name

Required *

string

Name of the table.

Query Parameters

Response

200 - Get data partitions.

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query view detail properties

GET /admin/schemas/{schema_name}/views/{view_name}/properties

Query view detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the view.

view_name

Required *

string

Name of the view.

Query Parameters

Response

200 - Query view detail properties.

view_name

string

Unqualified name of the view.

view_schema

string

Schema name of the view.

view_check

string

View check.

read_only

string

Whether it is read-only.

valid

string

Whether it is valid.

optimize_query

string

Whether to optimize the query.

owner

string

Authorization ID of the owner of the view.

owner_type

string

Owner type.

create_time

string

Time at which the object was created.

alter_time

string

Time at which the object was last altered.

stats_time

string

Time at which any change was last made to recorded statistics for this object. The null value if statistics are not collected.

sql

string

Full text of the view CREATE statement, exactly as typed.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Drop views

DELETE /admin/views

Drop views.

Request

Request Body

DropViewReqBody

Response

200 - The alias was dropped successfully.

status

string

400 - Run sql exception.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query view data

GET /admin/schemas/{schema_name}/views/{view_name}/data

Query view data.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

view_name

Required *

string

View name.

Query Parameters

rows_return

integer

The amount of return records.

Response

200 - Returned result was successful.

columns

array

rows

array

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get View definition

GET /admin/schemas/{schema_name}/views/{view_name}/definition

Get view definition.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

view_name

Required *

string

View name.

Query Parameters

Response

200 - Get View definition.

schema

string

View schema.

comments

string

stats

ObjectStatus

columns

array

name

string

View name.

status

string

Status of the object.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Generate view DDL

POST /admin/views/ddl

Generate view DDL.

Request

Request Body

GenerateViewDDLReqBody

schema

string

Schema name. Only When the action is create or alter, this parameter is needed.

view

string

View name. This parameter is required to modify the view.

objects

array

Only when the action is more, this parameter is needed.

options

array

The options used to generate DDL. Select 0 or one or several options. Only when the action is more, this parameter is needed. - create = Generates DDL statements with the CREATE OR REPLACE clause. - creatorname:creatorID = Generates DDL statements for objects that were created with the specified creator ID. - depobj = Generates the basic DDL statements - privilege = Generate the authorization DDL statements such as GRANT statements.

stat_terminator

string

Specifies the statement delimiter for SQL statements that are generated. Only when the action is more, this parameter is needed.

Path Parameters

Query Parameters

action

Required *

string

Type of operation.

Response

200 - Generate view DDL.

commands

string

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the dependencies of the object

GET /admin/schemas/{schema_name}/{obj_type}/{object_name}/dependencies

Get the dependencies of the object.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

obj_type

Required *

string

Type of object.

object_name

Required *

string

Name of the object.

Query Parameters

Response

200 - Get the dependencies of the object.

references

array

dependencies

array

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the dependencies of the tablespace

GET /admin/tablespaces/{tablespace}/dependencies

Get the dependencies of the tablespace.

Request

Path Parameters

tablespace

Required *

string

Tablespace name.

Query Parameters

Response

200 - Get the dependencies of the object.

references

array

dependencies

array

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query bufferpool detail properties

GET /admin/bufferpools/{bufferpool_name}/properties

Query bufferpool detail properties.

Request

Path Parameters

bufferpool_name

Required *

string

Name of the object.

Query Parameters

Response

200 - Returned result was successful.

bufferpool_name

string

Name of the buffer pool.

automatic

string

Whether the buffer pool is automatically managed by DB2.

block_size

string

Number of pages in a block.

npages

string

Default number of pages in this buffer pool on database partitions in this database partition group.

num_block_pages

string

Number of pages of the buffer pool that are to be in a block-based area. A block-based area of the buffer pool is only used by prefetchers doing a sequential prefetch.

page_size

string

Page size for this buffer pool on database partitions in this database partition group.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query constraint detail properties

GET /admin/schemas/{schema_name}/tables/{table_name}/constraints/{constraint_name}/properties

Query constraint detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

table_name

Required *

string

Table name.

constraint_name

Required *

string

Name of the constraint.

Query Parameters

Response

200 - Returned result was successful.

constraint_name

string

Name of the constraint.

table_name

string

Unqualified name of the table to which this constraint applies.

table_schema

string

Schema name of the table to which this constraint applies.

type

string

Indicates the constraint type.

ref_member

string

Referencing key.

ref_table_name

string

Referencing table.

ref_table_schema

string

Referencing schema.

enforced

string

Whether it is a enforce constraint.

member

string

Members.

update_rule

string

Update rule.

delete_rule

string

Delete rule.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query index detail properties

GET /admin/schemas/{schema_name}/tables/{table_name}/indexes/{index_name}/properties

Query index detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

table_name

Required *

string

Table name.

index_name

Required *

string

Name of the index.

Query Parameters

Response

200 - Returned result was successful.

index_name

string

Unqualified name of the index.

index_schema

string

Schema name of the index.

member

string

Name of the column.

table_name

string

Unqualified name of the table or nickname on which the index is defined.

table_schema

string

Schema name of the table or nickname on which the index is defined.

table_space

string

Name of the table space.

index_type

string

Type of index.

unique

string

Whether it is unique.

cluster

string

Whether it is a clustering index

compression

string

Specifies whether index compression is activated

reverse_scans

string

Whether the index supports reverse scanning

percent_free

string

Percentage of each index page to be reserved during the initial building of the index.

level2pctfree

string

Percentage of each index level 2 page to be reserved during initial building of the index.

owner

string

Authorization ID of the owner of the index.

owner_type

string

Owner type.

system_generated

string

Whether it is system generated.

create_time

string

Time when the index was created.

last_used

string

Date when the index was last used by any DML statement to perform a scan, or used to enforce referential integrity constraints. This column is not updated when the index is used on an HADR standby database, nor is it updated when rows are inserted into the table on which the index is defined. The default value is '0001-01-01'. This value is updated asynchronously not more than once within a 24 hour period and might not reflect usage within the last 15 minutes.

stats_time

string

Last time that any change was made to the recorded statistics for this index. The null value if no statistics are available.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query trigger detail properties

GET /admin/schemas/{schema_name}/triggers/{trigger_name}/properties

Query trigger detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

trigger_name

Required *

string

Name of the trigger.

Query Parameters

Response

200 - Returned result was successful.

trigger_name

string

Unqualified name of the trigger.

table_name

string

Unqualified name of the table or view to which this trigger applies.

table_schema

string

Schema name of the table or view to which this trigger applies.

trigger_schema

string

Schema name of the trigger.

trigger_time

string

Time at which triggered actions are applied to the base table, relative to the event that fired the trigger.

trigger_event

string

Event that fires the trigger.

granularity

string

evel of granularity.

valid

string

Whether the trigger is valid.

secure

string

Indicates whether the trigger is secure for row and column access control.

text

string

Full text of the CREATE TRIGGER statement, exactly as typed.

remarks

string

User-provided comments, or the null value.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query MQT detail properties

GET /admin/schemas/{schema_name}/mqts/{mqt_name}/properties

Query MQT detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

mqt_name

Required *

string

Name of the MQT.

Query Parameters

Response

200 - Returned result was successful.

table_name

string

Unqualified name of the materialized query table.

table_schema

string

Schema name of the materialized query table.

tablespace

string

Name of the primary table space for the table.

index_tablespace

string

Name of the table space that holds all indexes created on this table.

long_tablespace

string

Name of the table space that holds all long data (LONG or LOB column types) for this table.

owner

string

Authorization ID of the owner of the materialized query table.

owner_type

string

Owner type.

table_org

string

Table organization.

value_compression

string

Compression mode for the table.

row_compression

string

Row compression mode for the table.

refresh

string

Refresh mode.

pctfree

string

Percentage of each page to be reserved for future inserts.

drop_rule

string

Drop rule.

volatile

string

Volatile.

append_mode

string

For row-organized tables, controls how rows are inserted into pages.

data_capture

string

Data capture.

lock_size

string

Indicates the preferred lock granularity for tables that are accessed by data manipulation language (DML) statements.

not_logged_initially

string

Specifies whether the created temporary table is logged.

refresh_time

string

For REFRESH = 'D' or 'O', time at which the data was last refreshed (REFRESH TABLE statement); null value otherwise.

create_time

string

Time at which the object was created.

alter_time

string

Time at which the object was last altered.

stats_time

string

Time at which any change was last made to recorded statistics for this object. The null value if statistics are not collected.

maintained_by

string

Properties for a table.

sql

string

Full text of the materialized query table CREATE statement, exactly as typed.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query UDF detail properties

GET /admin/schemas/{schema_name}/functions/{specific_name}/properties

Query UDF detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

specific_name

Required *

string

Name of the UDF.

Query Parameters

Response

200 - Returned result was successful.

udf_name

string

Name of the UDF.

udf_schema

string

Schema name of the UDF.

text

string

The full text of the CREATE FUNCTION statement.

specific_name

string

Name of the routine instance (might be system-generated).

language

string

Implementation language for the routine body (or for the source function body, if this function is sourced on another function).

parameter_style

string

Parameter style that was declared when the routine was created.

sql_data_access

string

Indicates what type of SQL statements, if any, the database manager should assume is contained in the routine.

deterministic

string

Whether the result is deterministic.

external_action

string

Whether the function has external side-effects.

commit_on_return

string

Indicates whether the transaction is committed on successful return from this procedure.

parallel

string

Whether the routine can be executed in parallel.

fenced

string

Indicates if there is a fence.

implementation

string

Implementation

owner

string

Authorization ID of the owner.

owner_type

string

Owner type.

create_time

string

Time at which the object was created.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query tablespace detail properties

GET /admin/tablespaces/{table_space}/properties

Query tablespace detail properties.

Request

Path Parameters

table_space

Required *

string

Tablespace name of the object.

Query Parameters

Response

200 - Returned result was successful.

tablespace_name

string

Name of the table space.

db_partition_group

string

Name of the database partition group that is associated with this table space.

buffer_pool_name

string

Name of the buffer pool.

storage_group_name

string

Name of the storage group the table space is using.

tbspace_data_type

string

Type of data that can be stored in this table space.

tablespace_type

string

Type of table space.

reclaimable

string

Indicates if it is reclaimable.

drop_recovery

string

Indicates whether or not tables in this table space can be recovered after a drop table operation.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query procedure detail properties

GET /admin/schemas/{schema_name}/procedures/{specific_name}/properties

Query procedure detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

specific_name

Required *

string

Name of the procedure.

Query Parameters

Response

200 - Returned result was successful.

stored_procedure_name

string

Name of the procedure.

stored_procedure_schema

string

Schema name of the procedure.

text

string

The full text of the CREATE PROCEDURE statement.

specific_name

string

Name of the routine instance (might be system-generated).

language

string

Implementation language for the routine body (or for the source function body, if this function is sourced on another function).

parameter_style

string

Parameter style that was declared when the routine was created.

sql_data_access

string

Indicates what type of SQL statements, if any, the database manager should assume is contained in the routine.

deterministic

string

Whether the result is deterministic.

external_action

string

Whether the function has external side-effects.

commit_on_return

string

Indicates whether the transaction is committed on successful return from this procedure.

parallel

string

Whether the routine can be executed in parallel.

fenced

string

Indicates if there is a fence.

implementation

string

Implementation.

owner

string

Authorization ID of the owner.

owner_type

string

Owner type.

create_time

string

Time at which the object was created.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query sequence detail properties

GET /admin/schemas/{schema_name}/sequences/{sequence_name}/properties

Query sequence detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

sequence_name

Required *

string

Name of the sequence.

Query Parameters

Response

200 - Returned result was successful.

sequence_name

string

Unqualified name of the sequence.

sequence_schema

string

Schema name of the sequence.

type_name

string

Unqualified name of the data type.

precision

string

Precision of the data type of the sequence.

start

string

Start value of the sequence.

increment

string

Increment value.

min_value

string

Maximum value of the sequence.

max_value

string

Minimum value of the sequence.

cycle

string

Indicates whether or not the sequence can continue to generate values after reaching its maximum or minimum value.

cache

string

Number of sequence values to pre-allocate in memory for faster access.

order

string

Indicates whether or not the sequence numbers must be generated in order of request.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query package detail properties

GET /admin/schemas/{schema_name}/packages/{package_name}/properties

Query package detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

package_name

Required *

string

Name of the package.

Query Parameters

Response

200 - Returned result was successful.

package_name

string

Unqualified name of the package.

package_schema

string

Schema name of the package.

default_schema

string

Default schema name used for unqualified names in static SQL statements.

bound_by

string

Authorization ID of the binder and owner of the package.

owner

string

Authorization ID of the binder and owner of the package.

blocking

string

Cursor blocking option.

total_sect

string

Number of sections in the package.

query_opt

string

Optimization class under which this package was bound. Used for rebind operations.

explain_snapshot

string

Value of the EXPLSNAP bind option.

func_path

string

SQL path in effect when the package was bound.

statement

string

Text of the SQL statement.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query UDT detail properties

GET /admin/schemas/{schema_name}/udts/{type_name}/properties

Query UDT detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

type_name

Required *

string

Name of the user-defined type.

Query Parameters

Response

200 - Returned result was successful.

type_name

string

Unqualified name of the data type.

type_schema

string

Schema name of the module to which the data type belongs.

length

string

Maximum length of the type.

scale

string

Scale for distinct types or reference representation types based on the built-in DECIMAL type; the number of digits of fractional seconds for distinct types based on the built-in TIMESTAMP type; 6 for the built-in TIMESTAMP type; 0 for all other types (including DECIMAL itself).

source_name

string

For distinct types or array types, the unqualified name of the source data type. For user-defined structured types, the unqualified built-in type name of the reference representation type. Null for other data types.

source_schema

string

For distinct types or array types, the schema name of the source data type. For user-defined structured types, the schema name of the built-in type of the reference representation type. Null for other data types.

meta_type

string

Meta type.

remarks

string

User-provided comments

instantiable

string

Indicates whether the type can be instantiated.

final

string

Indicates whether the user-defined type can have subtypes.

inline_length

string

Maximum length of a structured type that can be kept with a base table row; 0 otherwise.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query alias detail properties

GET /admin/schemas/{schema_name}/aliases/{alias_name}/properties

Query alias detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

alias_name

Required *

string

Alias name.

Query Parameters

Response

200 - Query alias detail properties.

alias_name

string

Unqualified name of the object.

alias_schema

string

Schema name of the object.

base_obj_name

string

The name of the object referenced by the alias.

base_obj_schema

string

The schema name of the object referenced by the alias.

owner

string

Authorization ID of the owner.

owner_type

string

Owner type.

create_time

string

Time at which the object was created.

alter_time

string

Time at which the object was last altered.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Schema or alias not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get table detail properties

GET /admin/schemas/{schema_name}/tables/{table_name}/properties

Get table detail properties.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

table_name

Required *

string

Table name.

Query Parameters

Response

200 - Get table detail properties.

table_name

string

Unqualified name of the object.

table_schema

string

Schema name of the object.

obj_type

string

Type of object.

tablespace

string

Name of the primary table space for the table.

index_tablespace

string

Name of the table space that holds all indexes created on this table.

long_tablespace

string

Name of the table space that holds all long data (LONG or LOB column types) for this table.

table_org

string

Table organization.

temporal_type

string

Type of temporal table.

drop_rule

string

Drop rule.

volatile

string

Volatile.

value_compression

string

Compression mode for the table.

row_compression

string

Row compression mode for the table.

clustered

string

Clustered.

partition_mode

string

Indicates how data is distributed among database partitions in a partitioned database system.

avg_row_size

string

Average length (in bytes) of both compressed and uncompressed rows in this table; -1 if statistics are not collected.

table_status

string

Status of the object.

append_mode

string

For row-organized tables, controls how rows are inserted into pages.

primary_key

string

Primary key.

row_count

string

Total number of rows in the table; -1 if statistics are not collected.

create_time

string

Time at which the object was created.

last_used

string

Date when the table was last used by any DML statement or the LOAD command.

alter_time

string

Time at which the object was last altered.

stats_time

string

Time at which any change was last made to recorded statistics for this object. The null value if statistics are not collected.

pctfree

string

Percentage of each page to be reserved for future inserts.

data_capture

string

Data capture.

lock_size

string

Indicates the preferred lock granularity for tables that are accessed by data manipulation language (DML) statements.

not_logged_initially

string

Specifies whether the created temporary table is logged.

owner

string

Authorization ID of the owner.

owner_type

string

Owner type.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Object not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Create alias

PUT /admin/aliases

Create alias.

Request

Request Body

AliasObject

base_obj_schema

string

The schema of the object based.

base_obj_name

string

The name of the object based.

alias_name

string

Alias name.

alias_schema

string

Alias schema.

Response

200 - The alias was created successfully.

status

string

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Drop alias

DELETE /admin/aliases

Drop alias.

Request

Request Body

DropAliasArray

Response

200 - The alias was dropped successfully.

status

string

400 - Invalid parameters or run sql exception.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload.

Generate Alias DDL

POST /admin/aliases/ddl

Generate Alias DDL.

Request

Request Body

GenerateAliasDDLReqBody

base_obj_schema

string

The schema of the object based. Only When the action is create, this parameter is needed.

base_obj_name

string

The name of the object based. Only When the action is create, this parameter is needed.

alias_name

string

Alias name. Only When the action is create, this parameter is needed.

alias_schema

string

Alias schema. Only When the action is create, this parameter is needed.

objects

array

Only when the action is more, this parameter is needed.

options

array

The options used to generate DDL. Select 0 or one or several options. Only when the action is more, this parameter is needed. - create = Generates DDL statements with the CREATE OR REPLACE clause. - creatorname:creatorID = Generates DDL statements for objects that were created with the specified creator ID. - depobj = Generates the basic DDL statements - view = Generate the CREATE VIEW DDL statements - privilege = Generate the authorization DDL statements such as GRANT statements.

stat_terminator

string

Specifies the statement delimiter for SQL statements that are generated. Only when the action is more, this parameter is needed.

Path Parameters

Query Parameters

action

Required *

string

Type of operation.

Response

200 - Generate Alias DDL.

commands

string

400 - Invalid parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query alias data

GET /admin/schemas/{schema_name}/aliases/{alias_name}/data

Query alias data.

Request

Path Parameters

schema_name

Required *

string

Schema name of the object.

alias_name

Required *

string

Alias name.

Query Parameters

rows_return

integer

The amount of return records.

Response

200 - Returned result was successful.

columns

array

rows

array

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Schema or alias not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the SQL statement template for creating MQT table

POST /admin/mqts/ddl

Get the SQL statement template for creating MQT table.

Request

Request Body

GenerateMQTDDLReqBody

schema

string

Schema name of the object. Only When the action is create, this parameter is needed.

objects

array

Only when the action is more, this parameter is needed.

options

array

The options used to generate DDL. Select 0 or one or several options. Only when the action is more, this parameter is needed. - create = Generates DDL statements with the CREATE OR REPLACE clause. - creatorname:creatorID = Generates DDL statements for objects that were created with the specified creator ID. - depobj = Generates the basic DDL statements - view = Generate the CREATE VIEW DDL statements - privilege = Generate the authorization DDL statements such as GRANT statements.

stat_terminator

string

Specifies the statement delimiter for SQL statements that are generated. Only when the action is more, this parameter is needed.

Path Parameters

Query Parameters

action

Required *

string

Response

200 - The SQL statement of creating MQT table

commands

string

400 - Get error when create MQT table

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Delete mqt tables

DELETE /admin/mqts

Delete mqt tables.

Request

Request Body

deleteMqtReqBody

Response

200 - The status of deleting MQT tables

status

string

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the definition of MQT table

GET /admin/schemas/{schema_name}/mqts/{mqt_name}/definition

Get the definition of MQT table.

Request

Path Parameters

schema_name

Required *

string

Schema name

mqt_name

Required *

string

mqt name

Query Parameters

Response

200 - Definition of MTQ table

schema

string

comments

string

stats

adminStats

columns

array

name

string

status

string

400 - Error information when get mqt definition

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the data of specified mqt table

GET /admin/schemas/{schema_name}/mqts/{mqt_name}/data

Get the data of specified mqt table.

Request

Path Parameters

schema_name

Required *

string

mqt_name

Required *

string

Query Parameters

rows_return

integer

Response

200 - Get the data of MQT table,include table columns information and data

columns

array

rows

array

400 - Error information when get mqt data

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get authentications through the authid filter

GET /admin/privileges/authentications

Get authentications through the authid filter

Request

Path Parameters

Query Parameters

rows_return

integer

0 means return all query results

authid

Required *

string

Response

200 - The list of authid and authid type

400 - Get error when search authid

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the privieles of auth id

GET /admin/privileges/{authid_type}/{authid}/{obj_type}

Get the privieles of auth id

Request

Path Parameters

authid_type

Required *

string

authid type

authid

Required *

string

Authorization id.

obj_type

Required *

string

Type of object

Query Parameters

rows_return

integer

Response

200 - Returned result was successful.

400 - Get error when get privileges

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get SQL statement of grant or revoke privileges

POST /admin/privileges/dcl

Get SQL statement of grant or revoke privileges

Request

Request Body

privilegesChangeDclReqBody

Response

201 - SQL statement for grant or revoke privileges

commands

string

400 - Get error when get privileges

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Add new role

POST /admin/privileges/roles

Add new role

Request

Request Body

rolesReqBody

authid

string

Response

201 - The status of adding new role

status

string

400 - Get error when add new roles

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Grant or revoke the privilges of role

PUT /admin/privileges/roles

Grant or revoke the privilges of role

Request

Request Body

privilegesChangeRoleReqBody

stop_on_error

boolean

privileges

array

Response

200 - The status of grant or revoke the role's privileges

status

string

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Delete one role

DELETE /admin/privileges/roles/{role_name}

Delete one role

Request

Path Parameters

role_name

Required *

string

Query Parameters

Response

200 - The status of deleting one role

status

string

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the membership of authid

GET /admin/privileges/roles/{authid_type}/{authid}

Get the membership of authid

Request

Path Parameters

authid_type

Required *

string

authid type

authid

Required *

string

authid

Query Parameters

rows_return

Required *

integer

Response

200 - The membership of one auth

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get SQL statement of grant or revoke role

POST /admin/privileges/roles/dcl

Get SQL statement of grant or revoke role

Request

Request Body

privilegesChangeRoleDclReqBody

Response

201 - The SQL statement of grant or revoke role

commands

string

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get SQL statement for grant or revoke privileges

POST /admin/privileges/multiple_objtypes/dcl

Get SQL statement for grant or revoke privileges

Request

Request Body

PrivilegesMultipleObjectTypeChangeDclReqBody

grantee

array

privileges

array

Response

201 - The SQL statement for grant or revoke privileges

commands

string

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Grant or revole privileges for multiple objects and objects type

PUT /admin/privileges/multiple_objtypes

Grant or revole privileges for multiple objects and objects type

Request

Request Body

PrivilegesMultipleObjectTypeChangeReqBody

grantee

array

privileges

array

stop_on_error

boolean

Response

200 - The status of grant or revoke privileges

status

string

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the SQL statement for grant or revoke multiple roles

POST /admin/privileges/multiple_roles/dcl

Get the SQL statement for grant or revoke multiple roles

Request

Request Body

privilegesMultipleRolesChangeDclReqBody

Response

201 - The SQL statement for grant or revoke multiple roles

commands

string

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Grant or revoke multiple roles

PUT /admin/privileges/multiple_roles

Grant or revoke multiple roles

Request

Request Body

privilegesMultipleRolesChangeReqBody

privileges

array

stop_on_error

boolean

Response

200 - The status of grant or revoke roles

status

string

400 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Error payload

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Generate workload DDL

POST /admin/workloads/ddl

Generate workload DDL.

Request

Request Body

CreateWorkloadsReqBody

categorization

string

Type of the connection attribute.

enable_coll_act_data

boolean

Enable collect activity data or not.

Path Parameters

Query Parameters

action

Required *

string

Type of operation.

Response

200 - Return the ddl of creating workloads.

commands

string

400 - Invalid parameters or miss some parameters

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Lists workloads

GET /admin/workloads

Returns the list of workloads.

Request

Path Parameters

Query Parameters

rows_return

string

The amount of return records.

search_name

string

Workload name.

Response

200 - Return the list of workloads

default - Error payload

Drop sequences

DELETE /admin/sequences

Drop sequences

Request

Request Body

sequencesDropList

Response

200 - The status of dropping sequences

status

string

400 - Faile to drop sequences

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Drop procedures

DELETE /admin/procedures

Drop procedures

Request

Request Body

ProceduresDropReqBody

Response

200 - Delete procedure successfully

status

string

400 - Faile to drop procedures

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Retrieve parameters for procedure

GET /admin/schemas/{schema_name}/procedures/{specific_name}/parameters

Retrieve parameters for procedure.

Request

Path Parameters

schema_name

Required *

string

The schema name of the procedure

specific_name

Required *

string

The specificname of procedure

Query Parameters

Response

200 - Retrieve parameters for procedure.

400 - Error information when get procedure parameters.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Generate create procedure template

POST /admin/procedures/ddl

Request

Request Body

CreateProceduresTemplate

schema

string

The schema name of procedure.

Path Parameters

Query Parameters

action

Required *

string

Response

200 - Generate the template of creating procedure

commands

string

400 - Faile to generate create procedure template

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Drop functions

DELETE /admin/functions

Drop functions

Request

Request Body

DropFunctionsReqBody

Response

200 - Delete function successfully

status

string

400 - Faile to drop functions

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Retrieve parameters for specific udf

GET /admin/schemas/{schema_name}/functions/{specific_name}/parameters

Retrieve parameters for specific udf.

Request

Path Parameters

schema_name

Required *

string

The schema name of the function.

specific_name

Required *

string

The specific name of function.

Query Parameters

Response

200 - Retrieve parameters for specific udf.

400 - Error information when get procedure parameters

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Generate create function template

POST /admin/functions/ddl

Request

Request Body

CreateFunctionTemplateReqBody

schema

string

The schema name of function.

Path Parameters

Query Parameters

action

Required *

string

Response

200 - Generate the template of creating function.

commands

string

400 - Faile to generate create function template.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - SQLException

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Drop User-defined Types

DELETE /admin/udts

Drop User-defined Types

Request

Request Body

DropUDTArray

Response

200 - The UDTs was dropped successfully.

status

string

400 - Invalid parameters or run sql exception.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload.

Retrieve row definition for User-defined Type object

GET /admin/schemas/{schema_name}/udts/{udt_name}/definition

Retrieve row definition for User-defined Type object

Request

Path Parameters

schema_name

Required *

string

The schema name of User-defined Type.

udt_name

Required *

string

The name of User-defined Type.

Query Parameters

Response

200 - Retrieve row definition for User-defined Type object.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Schema or alias not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Generate Create User-defined Types template

POST /admin/udts/ddl

Generate Create User-defined Types template.

Request

Request Body

UDTDDLReqBody

schema

string

Schema name of UDT.

Path Parameters

Query Parameters

action

Required *

string

Type of operation.

Response

200 - Generate Create User-defined Types template.

commands

string

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Schema or alias not found.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Query the list of tablespace

GET /admin/tablespaces

Query the list of tablespace.

Request

Path Parameters

Query Parameters

search_name

string

Tablespace name.

rows_return

string

The amount of return records.

Response

200 - Query the list of tablespace.

result

array

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Drop tablespaces

DELETE /admin/tablespaces

Drop tablespaces.

Request

Request Body

DropTablespaceObject

tablespaces

array

Tablespace name.

Response

200 - The tablespaces was dropped successfully.

result

array

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the I/O settings of the tablespace

GET /admin/tablespaces/{tablespace}/iosetting

Get the I/O settings of the tablespace.

Request

Path Parameters

tablespace

Required *

string

Tablespace name.

Query Parameters

Response

200 - Get the I/O settings of the tablespace.

file_caching

string

File system caching.

overhead

string

Controller overhead and disk seek and latency time, in milliseconds (average for the containers in this table space).

transfer_rate

string

Time to read one page of size PAGESIZE into the buffer (average for the containers in this table space).

data_tag

string

A tag to identify data stored in this table space.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Get the tablespace size

GET /admin/tablespaces/{tablespace}/size

Get the tablespace size.

Request

Path Parameters

tablespace

Required *

string

Tablespace name.

Query Parameters

Response

200 - Get the tablespace size.

file_caching

string

File system caching.

overhead

string

Controller overhead and disk seek and latency time, in milliseconds (average for the containers in this table space).

transfer_rate

string

Time to read one page of size PAGESIZE into the buffer (average for the containers in this table space).

data_tag

string

A tag to identify data stored in this table space.

403 - Not authorized.

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Generates a new Aspera token

POST /aspera

Aspera is a high-speed file transfer technology that can be used to speed up file uploads to Db2 Warehouse on Cloud. This endpoint generates a new token that must be used when uploading files with Aspera.

Request

Response

201 - Aspera token

aspera_token

string

Token string that should be used when uploading files with Aspera.

userid

string

User ID associated with the Aspera token.

default - Error payload

Deletes an Aspera token

DELETE /aspera/{token}

Deletes an Aspera token. You should delete a token after the upload is complete. Optionally provide the name of a file that was uploaded using Aspera to prepare it for loading.

Request

Path Parameters

token

Required *

string

Aspera token

Query Parameters

filename

string

Name of file that was uploaded

Response

200 - Success

404 - Token or file not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Returns metadata of an item in the user's home storage

GET /home/{path}

Returns metadata of an item files and folders stored in the user's home storage. Only support file with suffix '.csv','.txt','dat' and 'del'.

Request

Path Parameters

path

Required *

string

Path of a file or folder

Query Parameters

Response

200 - Metadata about a file or folder

location

string

Relative URL path for this file or folder.

size

integer

Size in bytes. The size of a folder is the sum of the files directly under it, excluding subfolders.

contents

array

List of files and folders

404 - File or folder not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Deletes a file in the user's home storage

DELETE /home/{path}

Deletes a file in the user's home storage

Request

Path Parameters

path

Required *

string

File path

Query Parameters

Response

200 - File deleted

default - Error payload

Download file from user's home storage

GET /home_content/{path}

Download file from user's home storage.

Request

Path Parameters

path

Required *

string

File path

Query Parameters

Response

200 - Metadata about a file or folder

location

string

Relative URL path for this file or folder.

size

integer

Size in bytes. The size of a folder is the sum of the files directly under it, excluding subfolders.

contents

array

List of files and folders

404 - File not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Uploads a file to the user's home storage

POST /home_content/{path}

Uploads a file to a folder under the user's home storage. The target folder is automatically created if it does not exit.

Request

Path Parameters

path

Required *

string

Target folder

Query Parameters

Response

201 - Files successfully uploaded

default - Error payload

Creates a data load job, load uses external table technology

POST /load_jobs_ET

Creates a data load job

Request

Request Body

ETDataLoadJobRequest

Data load job details

load_source

Required *

string

Type of data source. It can take the values 'SERVER', 'S3', or 'IBMCloud'.

load_action

string

If set to 'INSERT' data is appended to the existing table data. If set to 'REPLACE' the table data is replaced with the data being loaded.

schema

Required *

string

Schema name where the target table is located

table

Required *

string

Table name where data should be loaded

max_row_count

integer

Maximum number of rows to be loaded. If set to zero or not specified, all rows from the source data are loaded. Not supported in multi-partitioned (MPP) Db2 Warehouse on Cloud environments.

max_warning_count

integer

Maximum number of warnings that are tolerated before failing the load operation. A warning is generated for each row that is not loaded correctly.

auto_create_table

object

When set to execute, the source data is analyzed to discover the data types of each column. Then the target table is created using the columns and data types found. Currently, this option is only allowed when load_source is set to SERVER.

execute

Required *

string

column_names

array

Optional list of column names for the target table. When not provided, the system will auto-generate the column names.

cloud_source

object

Required when load_type is set to "S3" or "SOFTLAYER". It specifies how to located the data to be loaded from a cloud storage service.

endpoint

Required *

string

URL of the cloud storage endpoint where data is located. Amazon S3 valid endpoints are "s3.amazonaws.com", "s3.us-east-2.amazonaws.com", "s3-us-west-1.amazonaws.com, "s3-us-west-2.amazonaws.com", "s3.ca-central-1.amazonaws.com", "s3.ap-south-1.amazonaws.com", "s3.ap-northeast-2.amazonaws.com", "s3-ap-southeast-1.amazonaws.com", "s3-ap-southeast-2.amazonaws.com", "s3-ap-northeast-1.amazonaws.com", "s3.eu-central-1.amazonaws.com", "s3-eu-west-1.amazonaws.com", "s3.eu-west-2.amazonaws.com", "s3-sa-east-1.amazonaws.com". SoftLayer object storage valid endpoints are "https://ams01.objectstorage.softlayer.net/auth/v1.0", "https://che01.objectstorage.softlayer.net/auth/v1.0", "https://dal05.objectstorage.softlayer.net/auth/v1.0", "https://fra02.objectstorage.softlayer.net/auth/v1.0", "https://hkg02.objectstorage.softlayer.net/auth/v1.0", "https://lon02.objectstorage.softlayer.net/auth/v1.0", "https://mel01.objectstorage.softlayer.net/auth/v1.0", "https://mex01.objectstorage.softlayer.net/auth/v1.0", "https://mil01.objectstorage.softlayer.net/auth/v1.0", "https://mon01.objectstorage.softlayer.net/auth/v1.0", "https://par01.objectstorage.softlayer.net/auth/v1.0", "https://sao01.objectstorage.softlayer.net/auth/v1.0", "https://seo01.objectstorage.softlayer.net/auth/v1.0", "https://sjc01.objectstorage.softlayer.net/auth/v1.0", "https://sng01.objectstorage.softlayer.net/auth/v1.0", "https://syd01.objectstorage.softlayer.net/auth/v1.0", "https://tok02.objectstorage.softlayer.net/auth/v1.0", "https://tor01.objectstorage.softlayer.net/auth/v1.0", "https://wdc.objectstorage.softlayer.net/auth/v1.0".

path

Required *

string

Path used to find and retrieve the data in the cloud storage service

auth_id

Required *

string

Username (SoftLayer) or Access Key (S3).

auth_secret

Required *

string

API Key (SoftLayer) or Secret Key (S3).

server_source

object

Required when load_type is set to "SERVER". It specifies how to source filein the server.

file_path

Required *

string

File path in the server relative to the user's home folder.

file_options

Required *

object

Modifies how the source data should be interpreted

encoding

string

UTF8 The file uses UTF8 encoding and contains only NCHAR or NVARCHAR data. LATIN9 The file uses LATIN9 encoding and contains only CHAR or VARCHAR data. INTERNAL The file uses a mixture of both UTF8 and LATIN9 encoding, or you are unsure which type of encoding is used. The system checks the data and encodes the data as needed. Because this checking of the data reduces overall performance, use this value only when necessary. This is the default.

code_page

string

The character encoding of the source file. Valid values are listed in <a target="_blank" href="https://www.ibm.com/support/knowledgecenter/SSEPGG_11.1.0/com.ibm.db2.luw.admin.nls.doc/doc/r0004565.html">Supported territory codes and code pages </a>. Default value is 1208 (corresponds to UTF-8).The code_page and ENCODING options are mutually exclusive

has_header_row

string

Specifies whether or not the source file includes column names in a header row.

column_delimiter

string

Single character used as column delimiter. Default value is comma (","). The character can also be specified using the format 0xJJ, where JJ is the hexadecimal representation of the character. Valid delimiters can be hexadecimal values from 0x00 to 0x7F, except for binary zero (0x00), line-feed (0x0A), carriage return (0x0D), space (0x20), and decimal point (0x2E).

string_delimiter

string

NO, SINGLE or DOUBLE, refer to <a target="_blank" href="http://leto.svl.ibm.com/kc/SS6NHC_next/com.ibm.swg.im.dashdb.sql.ref.doc/doc/r_create_ext_table.html">string_delimiter</a>

date_style

string

Refer to <a target="_blank" href="http://leto.svl.ibm.com/kc/SS6NHC_next/com.ibm.swg.im.dashdb.sql.ref.doc/doc/r_create_ext_table.html">date_style</a>

time_style

string

Refer to <a target="_blank" href="http://leto.svl.ibm.com/kc/SS6NHC_next/com.ibm.swg.im.dashdb.sql.ref.doc/doc/r_create_ext_table.html">time_style</a>

date_delimiter

string

Refer to <a target="_blank" href="http://leto.svl.ibm.com/kc/SS6NHC_next/com.ibm.swg.im.dashdb.sql.ref.doc/doc/r_create_ext_table.html">date_delimiter</a>

date_format

string

The format of the date field in the data file. The value can be any of the date format strings that are accepted by the <a target="_blank" href="http://leto.svl.ibm.com/kc/SS6NHC_next/com.ibm.swg.im.dashdb.sql.ref.doc/doc/r0007107.html%23r0007107">TIMESTAMP_FORMAT scalar function</a>. The default is YYYY-MM-DD. The DATE_FORMAT option and the DATEDELIM or DATESTYLE option are mutually exclusive.

time_format

string

The format of the time field in the data file. The value can be any of the time format strings that are accepted by the <a target="_blank" href="http://leto.svl.ibm.com/kc/SS6NHC_next/com.ibm.swg.im.dashdb.sql.ref.doc/doc/r0007107.html%23r0007107">TIMESTAMP_FORMAT scalar function</a>. The default is HH.MI.SS. The TIME_FORMAT option and a TIMEDELIM or TIMESTYLE option are mutually exclusive.

timestamp_format

string

The format of the timestamp field in the data file. The value can be any of the format strings that are accepted by the <a target="_blank" href="http://leto.svl.ibm.com/kc/SS6NHC_next/com.ibm.swg.im.dashdb.sql.ref.doc/doc/r0007107.html%23r0007107">TIMESTAMP_FORMAT scalar function</a>. The default is 'YYYY-MM-DD HH.MI.SS'. The TIMESTAMP_FORMAT option and the TIMEDELIM, DATEDELIM, TIMESTYLE, or DATESTYLE option are mutually exclusive.

bool_style

string

ignore_zero

string

Whether the byte value zero in a CHAR or VARCHAR field is to be ignored, TRUE or ON The byte value zero is ignored. FALSE or OFF The byte value zero is not ignored. This is the default.

require_quotes

string

Whether quotation marks are mandatory, TRUE or ON, Quotation marks are mandatory. The QUOTEDVALUE option must be set to YES, SINGLE, or DOUBLE. FALSE or OFF Quotation marks are not mandatory. This is the default.

ctrl_chars

string

Whether to allow an ASCII value 1 - 31 in a CHAR or VARCHAR field. Any NULL, CR, or LF characters must be escaped. Allowed values are, TRUE or ON An ASCII value 1 - 31 in a CHAR or VARCHAR field is allowed. FALSE or OFF An ASCII value 1 - 31 in a CHAR or VARCHAR field is not allowed. This is the default.

escape_char

string

Which character is to be regarded as an escape character. An escape character indicates that the character that follows it, which would otherwise be treated as a field-delimiter character or end-of-row sequence character, is instead treated as part of the value in the field. The escape character is ignored for graphic-string data. There is no default.

Response

201 - load jobs.

default - Error payload

Lists all data load jobs, load uses Db2 load utility technology

GET /load_jobs

Lists all data load jobs for the user.

Request

Response

200 - Data load jobs

default - Error payload

Creates a data load job

POST /load_jobs

Creates a data load job

Request

Request Body

DataLoadJobRequest

Data load job details

load_source

Required *

string

Type of data source. It can take the values 'SERVER', 'S3', or 'IBMCloud'.

load_action

string

If set to 'INSERT' data is appended to the existing table data. If set to 'REPLACE' the table data is replaced with the data being loaded.

schema

Required *

string

Schema name where the target table is located

table

Required *

string

Table name where data should be loaded

max_row_count

integer

Maximum number of rows to be loaded. If set to zero or not specified, all rows from the source data are loaded. Not supported in multi-partitioned (MPP) Db2 Warehouse on Cloud environments.

max_warning_count

integer

Maximum number of warnings that are tolerated before failing the load operation. A warning is generated for each row that is not loaded correctly.

auto_create_table

object

When set to execute, the source data is analyzed to discover the data types of each column. Then the target table is created using the columns and data types found. Currently, this option is only allowed when load_source is set to SERVER.

execute

Required *

string

column_names

array

Optional list of column names for the target table. When not provided, the system will auto-generate the column names.

cloud_source

object

Required when load_type is set to "S3" or "SOFTLAYER". It specifies how to located the data to be loaded from a cloud storage service.

endpoint

Required *

string

URL of the cloud storage endpoint where data is located. Amazon S3 valid endpoints are "s3.amazonaws.com", "s3.us-east-2.amazonaws.com", "s3-us-west-1.amazonaws.com, "s3-us-west-2.amazonaws.com", "s3.ca-central-1.amazonaws.com", "s3.ap-south-1.amazonaws.com", "s3.ap-northeast-2.amazonaws.com", "s3-ap-southeast-1.amazonaws.com", "s3-ap-southeast-2.amazonaws.com", "s3-ap-northeast-1.amazonaws.com", "s3.eu-central-1.amazonaws.com", "s3-eu-west-1.amazonaws.com", "s3.eu-west-2.amazonaws.com", "s3-sa-east-1.amazonaws.com". SoftLayer object storage valid endpoints are "https://ams01.objectstorage.softlayer.net/auth/v1.0", "https://che01.objectstorage.softlayer.net/auth/v1.0", "https://dal05.objectstorage.softlayer.net/auth/v1.0", "https://fra02.objectstorage.softlayer.net/auth/v1.0", "https://hkg02.objectstorage.softlayer.net/auth/v1.0", "https://lon02.objectstorage.softlayer.net/auth/v1.0", "https://mel01.objectstorage.softlayer.net/auth/v1.0", "https://mex01.objectstorage.softlayer.net/auth/v1.0", "https://mil01.objectstorage.softlayer.net/auth/v1.0", "https://mon01.objectstorage.softlayer.net/auth/v1.0", "https://par01.objectstorage.softlayer.net/auth/v1.0", "https://sao01.objectstorage.softlayer.net/auth/v1.0", "https://seo01.objectstorage.softlayer.net/auth/v1.0", "https://sjc01.objectstorage.softlayer.net/auth/v1.0", "https://sng01.objectstorage.softlayer.net/auth/v1.0", "https://syd01.objectstorage.softlayer.net/auth/v1.0", "https://tok02.objectstorage.softlayer.net/auth/v1.0", "https://tor01.objectstorage.softlayer.net/auth/v1.0", "https://wdc.objectstorage.softlayer.net/auth/v1.0".

path

Required *

string

Path used to find and retrieve the data in the cloud storage service

auth_id

Required *

string

Username (SoftLayer) or Access Key (S3).

auth_secret

Required *

string

API Key (SoftLayer) or Secret Key (S3).

server_source

object

Required when load_type is set to "SERVER". It specifies how to source filein the server.

file_path

Required *

string

File path in the server relative to the user's home folder.

file_options

Required *

object

Modifies how the source data should be interpreted

code_page

string

The character encoding of the source file. Valid values are listed in <a target="_blank" href="https://www.ibm.com/support/knowledgecenter/SSEPGG_11.1.0/com.ibm.db2.luw.admin.nls.doc/doc/r0004565.html">Supported territory codes and code pages</a>. Default value is "1208" (corresponds to UTF-8).

has_header_row

string

Specifies whether or not the source file includes column names in a header row.

column_delimiter

string

Single character used as column delimiter. Default value is comma (","). The character can also be specified using the format 0xJJ, where JJ is the hexadecimal representation of the character. Valid delimiters can be hexadecimal values from 0x00 to 0x7F, except for binary zero (0x00), line-feed (0x0A), carriage return (0x0D), space (0x20), and decimal point (0x2E).

date_format

string

A valid date format, such as "DD-MM-YY", "YYYY-MMM-DD", "DD/MM/YYY", "M/D/YYYY", "M/DD", "YYYY". For a full list of supported formats, see <a target="_blank" href="https://www.ibm.com/support/knowledgecenter/SSEPGG_11.1.0/com.ibm.db2.luw.admin.cmd.doc/doc/r0008305.html">Valid file type modifiers for the load utility - ASCII file formats (ASC/DEL)</a>, in the LOAD command reference.

time_format

string

A valid time format, such as "HH-MM-SS", "H:MM:SS TT", "HH:MM", "H:MM TT", "H:M", "H:M:S". For a full list of supported formats, see <a target="_blank" href="https://www.ibm.com/support/knowledgecenter/SSEPGG_11.1.0/com.ibm.db2.luw.admin.cmd.doc/doc/r0008305.html">Valid file type modifiers for the load utility - ASCII file formats (ASC/DEL)</a>, in the LOAD command reference.

timestamp_format

string

A valid timestamp format, such as "YYYY-MM-DD HH:MM:SS", "DD/MM/YYYY H:MM TT", "MMM DD YYYY HH:MM:SS TT". For a full list of supported formats, see <a target="_blank" href="https://www.ibm.com/support/knowledgecenter/SSEPGG_11.1.0/com.ibm.db2.luw.admin.cmd.doc/doc/r0008305.html">Valid file type modifiers for the load utility - ASCII file formats (ASC/DEL)</a>, in the LOAD command reference.

Response

201 - load jobs.

default - Error payload

Returns details about a load job including its progress

GET /load_jobs/{id}

Returns details about a load job including its progress.

Request

Path Parameters

id

Required *

string

Load job ID

Query Parameters

Response

200 - Data load job

id

string

Load job ID

userid

string

User ID of who requested the load

status

DataLoadJobStatus

Execution status of a data load job

request

DataLoadJobRequest

Data load request

metadata

ResourceMetadata

Meta information of an resource. Metadata is ready-only and values are auto-generated by the system.

403 - Not authorized to access load job

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Job not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Removes load job from history

DELETE /load_jobs/{id}

Removes a data load job from history. This operation has no effect on the data already loaded. In-progress jobs cannot be deleted.

Request

Path Parameters

id

Required *

string

Load job ID

Query Parameters

Response

200 - Load job deleted

403 - Not authorized to delete load job

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

404 - Job not found

trace

string

Unique ID assigned by the server that identifies the request that generated the error

errors

array

List of errors

default - Error payload

Dowloads log file for a data load job

GET /load_jobs/{id}/log

Downloads log file for a data load job

Request

Path Parameters

id

Required *

string

Load job ID

Query Parameters

Response

200 - Log file

403 - Not authorized to access load log

404 - Log not found

[...]
